Subject: Re: [bug#36126] [PATCH] Add ghc-validation.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Jul 2019 17:57:05 +0200

Hello Jacob,

Jacob MacDonald <[email-masked]> skribis:

> The version bump pushes guix refresh over the 300-package line. Given
> that and the fact that there are dependencies on older versions in the
> tree, would it be better to give the newer version a special name
> instead, or did I make the correct choice here?

I think you did it right.  :-)

> Guix packages are a new foray for me, so I imagine something will be
> wrong. Did my best to split into proper dependency order though, and
> ready to touch up.

I applied all 7 patches to ‘master’ (I added a copyright line for you).
It’s above the 300-package line as you write, but these packages build
fairly quickly, so I think it’s OK.

Thanks for the patch set, and apologies for the delay!

Ludo’.